%define name python-xml
%define srcname PyXML
%define version 0.8.4
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: XML libraries for python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
Patch0: PyXML-memmove.patch
Patch1: %{srcname}-%{version}-as.patch
Patch2: %{srcname}-%{version}-intern.patch
Patch3: %{srcname}-%{version}-cvs20041111-python2.4-backport.patch

License: MIT and Python and ZPLv1.0 and BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}


BuildRequires: python >= 2.4
BuildRequires: python-devel >= 2.4
Requires: python >= 2.4

%description
An XML package for Python.  The distribution contains a
validating XML parser, an implementation of the SAX and DOM
programming interfaces and an interface to the Expat parser.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .memmove
%patch1 -p1 -b .as
%patch2 -p1 -b .intern
%patch3 -p1 -b .cvs20041111-python2.4-backport

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
export OBJECT_MODE=64
python_64 setup.py build

cd ../32bit
export OBJECT_MODE=32
python setup.py build

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/CREDITS 32bit/LICENCE 32bit/PKG-INFO 32bit/README 32bit/README.dom 32bit/README.pyexpat 32bit/README.sgmlop 32bit/TODO 32bit/MANIFEST 32bit/ANNOUNCE
%doc 32bit/doc
/usr/bin/*
%{_bindir}/xmlproc_parse
%{_bindir}/xmlproc_val
%{python_sitelib}/*
%{python_sitelib64}/*

%changelog
* Thu Oct 30 2014 Gerard Visiedo <gerard.visiedo@bull.net> - 0.8.4-1
- first version for AIX V6.1 and higher
